Skip to content

Instantly share code, notes, and snippets.

Embed
What would you like to do?
Maven repositories suck.
[20:00:08] wsargent:framework git:(master*) $ ./build
Getting Scala 2.9.1 (for sbt)...
:: problems summary ::
:::: WARNINGS
module not found: org.fusesource.jansi#jansi;1.4
==== local: tried
/Users/wsargent/work/Play20/framework/./../repository/local/org.fusesource.jansi/jansi/1.4/ivys/ivy.xml
-- artifact org.fusesource.jansi#jansi;1.4!jansi.jar:
/Users/wsargent/work/Play20/framework/./../repository/local/org.fusesource.jansi/jansi/1.4/jars/jansi.jar
==== Maven2 Local: tried
file:///Users/wsargent/.m2/repository/org/fusesource/jansi/jansi/1.4/jansi-1.4.pom
-- artifact org.fusesource.jansi#jansi;1.4!jansi.jar:
file:///Users/wsargent/.m2/repository/org/fusesource/jansi/jansi/1.4/jansi-1.4.jar
==== java.net: tried
http://download.java.net/maven/2/org/fusesource/jansi/jansi/1.4/jansi-1.4.pom
-- artifact org.fusesource.jansi#jansi;1.4!jansi.jar:
http://download.java.net/maven/2/org/fusesource/jansi/jansi/1.4/jansi-1.4.jar
==== typesafe-ivy-releases: tried
http://repo.typesafe.com/typesafe/ivy-releases/org.fusesource.jansi/jansi/1.4/ivys/ivy.xml
-- artifact org.fusesource.jansi#jansi;1.4!jansi.jar:
http://repo.typesafe.com/typesafe/ivy-releases/org.fusesource.jansi/jansi/1.4/jars/jansi.jar
==== Maven Central: tried
http://repo1.maven.org/maven2/org/fusesource/jansi/jansi/1.4/jansi-1.4.pom
-- artifact org.fusesource.jansi#jansi;1.4!jansi.jar:
http://repo1.maven.org/maven2/org/fusesource/jansi/jansi/1.4/jansi-1.4.jar
==== Scala-Tools Maven2 Repository: tried
http://scala-tools.org/repo-releases/org/fusesource/jansi/jansi/1.4/jansi-1.4.pom
-- artifact org.fusesource.jansi#jansi;1.4!jansi.jar:
http://scala-tools.org/repo-releases/org/fusesource/jansi/jansi/1.4/jansi-1.4.jar
==== Scala-Tools Maven2 Snapshots Repository: tried
http://scala-tools.org/repo-snapshots/org/fusesource/jansi/jansi/1.4/jansi-1.4.pom
-- artifact org.fusesource.jansi#jansi;1.4!jansi.jar:
http://scala-tools.org/repo-snapshots/org/fusesource/jansi/jansi/1.4/jansi-1.4.jar
::::::::::::::::::::::::::::::::::::::::::::::
:: UNRESOLVED DEPENDENCIES ::
::::::::::::::::::::::::::::::::::::::::::::::
:: org.fusesource.jansi#jansi;1.4: not found
::::::::::::::::::::::::::::::::::::::::::::::
:: USE VERBOSE OR DEBUG MESSAGE LEVEL FOR MORE DETAILS
unresolved dependency: org.fusesource.jansi#jansi;1.4: not found
Error during sbt execution: Error retrieving required libraries
(see /Users/wsargent/work/Play20/framework/sbt/boot/update.log for complete log)
Error: Could not retrieve Scala 2.9.1
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.